2009年2月24日火曜日

sqlite3の罠

このエントリーをはてなブックマークに追加
sqliteアップデートしてーなーと思って、公式から(特に何も考えずに)sqlite3.6.10を落としてcheckinstallでrpm作ってインストールした。

それからyumが急に動かなくなるという面白現象発生。
具体的には、
Can not create packages table: near "release": syntax error
というエラーが出る。正直意味不明。
ぐるぐる回ってようやくヒントらしきものをゲット。
https://bugzilla.redhat.com/show_bug.cgi?id=481189


This is sqlite bug alright, see
http://www.mail-archive.com/sqlite-users@sqlite.org/msg39666.html

My bad (insufficient testing), apologies. Will fix right away.


バグですかwwww
swwwqwwwlwwwiwwwtwwwewww3wwww

盛大に吹いた。
sqlite3.6.11を入れたら無事に動いた。
まさかsqlite3とyumでこんなにはまるとは思っていなかったなぁ。

0 件のコメント :

コメントを投稿